'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  let t = _ref.types;

  return {

    // eslint-disable-next-line global-require
    inherits: require('babel-plugin-syntax-function-bind'),
    visitor: {
      CallExpression(_ref2) {
        let node = _ref2.node;

        const bind = node.callee;

        if (!t.isBindExpression(bind)) {
          return;
        }

        const context = bind.object;

        node.callee = bind.callee;

        node.arguments.push(context);
      }
    }
  };
};